.price-flipper-splitflap {
    position: relative;
    min-width: 20px;
    height: 20px;
    margin: 1px;
    line-height: inherit;
    font-size: inherit;
    font-family: Monospace;
    text-align: center;
    color: white;
}

.price-flipper-center {
    position: relative;
    width: 100%;
    display: flex;
    justify-content: center;
    z-index: 1;
}

.price-flipper-top {
    position: relative;
    height: 50%;
    width: 100%;
    background-color: #3f3f3f;
    border-radius: 10px 10px 0 0;
    overflow: hidden;
    z-index: 0;
}

.price-flipper-bottom {
    position: relative;
    height: 100%;
    width: 100%;
    margin-top: -50%;
    border-radius: 10px 10px 10px 10px;
    z-index: -1;
    background-color: black;
    background-image: linear-gradient(rgba(63, 63, 63, 0), #3f3f3f);
    transform-origin: center;
}

.price-flipper-nextHalf {
    position: relative;
    height: 50%;
    width: 100%;
    margin-top: -100%;
    overflow: hidden;
    border-radius: 10px 10px 0 0;
    z-index: 2;
    background-color: black;
    background-image: linear-gradient(#3f3f3f, rgba(63, 63, 63, 0));
    transform-origin: bottom;
}

.price-flipper-nextFull {
    position: relative;
    height: 100%;
    width: 100%;
    background-color: #3f3f3f;
    margin-top: -50%;
    border-radius: 10px 10px 10px 10px;
    z-index: -3;
}

.price-flipper-flip1 {
    animation: price-flipper-flip1 1s ease-in-out forwards;
}

.price-flipper-flip2 {
    animation: price-flipper-flip2 1s ease-in-out forwards;
}

@keyframes price-flipper-flip1 {
    0% {
        transform: rotateX(0deg);
        background-color: #3f3f3f;
    }
    50% {
        transform: rotateX(90deg);
        background-color: black;
    }
    100% {
        transform: rotateX(90deg);
    }
}

@keyframes price-flipper-flip2 {
    0% {
        transform: rotateX(-90deg);
    }
    50% {
        transform: rotateX(-90deg);
    }
    100% {
        transform: rotateX(0deg);
        background-color: #3f3f3f;
    }
}
